com.impinj.stp

## Class StpApi.UserMemory.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.UserMemory.Builder>
      - - com.impinj.stp.StpApi.UserMemory.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.UserMemoryOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.UserMemory

      public static final class StpApi.UserMemory.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.UserMemory.Builder>
      implements StpApi.UserMemoryOrBuilder

  Protobuf type `Impinj.STP.UserMemory`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.UserMemory` | `build()`
    `StpApi.UserMemory` | `buildPartial()`
    `StpApi.UserMemory.Builder` | `clear()`
    `StpApi.UserMemory.Builder` | `clearData()` data length must be a multiple of 16-bits, used in Encode and Verify modes
    `StpApi.UserMemory.Builder` | `clearMask()` DEPRECATED
    `StpApi.UserMemory.Builder` | `clearWordCountInv()` Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.
    `StpApi.UserMemory.Builder` | `clearWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.
    `StpApi.UserMemory.Builder` | `clone()`
    `com.google.protobuf.ByteString` | `getData()` data length must be a multiple of 16-bits, used in Encode and Verify modes
    `StpApi.UserMemory` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `com.google.protobuf.ByteString` | `getMask()` DEPRECATED
    `int` | `getWordCountInv()` Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.
    `int` | `getWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.
    `boolean` | `hasData()` data length must be a multiple of 16-bits, used in Encode and Verify modes
    `boolean` | `hasMask()` DEPRECATED
    `boolean` | `hasWordCountInv()` Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.
    `boolean` | `hasWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.UserMemory.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.UserMemory.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.UserMemory.Builder` | `mergeFrom(StpApi.UserMemory other)`
    `StpApi.UserMemory.Builder` | `setData(com.google.protobuf.ByteString value)` data length must be a multiple of 16-bits, used in Encode and Verify modes
    `StpApi.UserMemory.Builder` | `setMask(com.google.protobuf.ByteString value)` DEPRECATED
    `StpApi.UserMemory.Builder` | `setWordCountInv(int value)` Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.
    `StpApi.UserMemory.Builder` | `setWordOffset(int value)` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.UserMemory.Builder>`

    - #### clear

          public StpApi.UserMemory.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.UserMemory.Builder>`

    - #### clone

          public StpApi.UserMemory.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.UserMemory.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.UserMemory.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.UserMemory getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.UserMemory build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.UserMemory buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.UserMemory.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.UserMemory.Builder>`

    - #### mergeFrom

          public StpApi.UserMemory.Builder mergeFrom(StpApi.UserMemory other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.UserMemory.Builder>`

    - #### mergeFrom

          public StpApi.UserMemory.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.UserMemory.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasData

          public boolean hasData()

      data length must be a multiple of 16-bits, used in Encode and Verify modes
      Specified by:
        `hasData` in interface `StpApi.UserMemoryOrBuilder`

    - #### getData

          public com.google.protobuf.ByteString getData()

      data length must be a multiple of 16-bits, used in Encode and Verify modes
      Specified by:
        `getData` in interface `StpApi.UserMemoryOrBuilder`

    - #### setData

          public StpApi.UserMemory.Builder setData(com.google.protobuf.ByteString value)

      data length must be a multiple of 16-bits, used in Encode and Verify modes

    - #### clearData

          public StpApi.UserMemory.Builder clearData()

      data length must be a multiple of 16-bits, used in Encode and Verify modes

    - #### hasMask

          public boolean hasMask()

      DEPRECATED
      Specified by:
        `hasMask` in interface `StpApi.UserMemoryOrBuilder`

    - #### getMask

          public com.google.protobuf.ByteString getMask()

      DEPRECATED
      Specified by:
        `getMask` in interface `StpApi.UserMemoryOrBuilder`

    - #### setMask

          public StpApi.UserMemory.Builder setMask(com.google.protobuf.ByteString value)

      DEPRECATED

    - #### clearMask

          public StpApi.UserMemory.Builder clearMask()

      DEPRECATED

    - #### hasWordOffset

          public boolean hasWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.
      Specified by:
        `hasWordOffset` in interface `StpApi.UserMemoryOrBuilder`

    - #### getWordOffset

          public int getWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.
      Specified by:
        `getWordOffset` in interface `StpApi.UserMemoryOrBuilder`

    - #### setWordOffset

          public StpApi.UserMemory.Builder setWordOffset(int value)

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.

    - #### clearWordOffset

          public StpApi.UserMemory.Builder clearWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset.

    - #### hasWordCountInv

          public boolean hasWordCountInv()

      Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.
      Specified by:
        `hasWordCountInv` in interface `StpApi.UserMemoryOrBuilder`

    - #### getWordCountInv

          public int getWordCountInv()

      Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.
      Specified by:
        `getWordCountInv` in interface `StpApi.UserMemoryOrBuilder`

    - #### setWordCountInv

          public StpApi.UserMemory.Builder setWordCountInv(int value)

      Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.

    - #### clearWordCountInv

          public StpApi.UserMemory.Builder clearWordCountInv()

      Number of words to read, used in Inventory mode, the default of 0 means don't ready anything.